extends Control

signal confirm_pressed


func _ready() -> void:
	DebugManager.log_debug("SplashScreen ready", "SplashScreen")
	update_text()


func _input(event: InputEvent) -> void:
	if (
		event.is_action_pressed("action_confirm")
		or event is InputEventScreenTouch
		or (
			event is InputEventMouseButton
			and event.button_index == MOUSE_BUTTON_LEFT
			and event.pressed
		)
	):
		DebugManager.log_debug("Action pressed: " + str(event), "SplashScreen")
		confirm_pressed.emit()
		get_viewport().set_input_as_handled()


func update_text() -> void:
	$SplashContainer/ContinueLabel.text = tr("press_ok_continue")
